
	var SEARCH_CMD = null;
	var SEARCH_CMD2 = null;
	var EXPORT_BBI = null;
	var EXPORT_BBI2 = null;

	var TRANSFLOW_SMRY_DGV = null;
	var POS_SHIFT_DGV = null;

	var ROW_INDEX = 1;
	var SKIP = 0;

	var TRANSACTION_COUNT = 0;

	function FORM_INITIALIZE()
	{
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANSFLOW_SUMMARY_DATE_FROM"))
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_TRANSFLOW_SUMMARY_DATE_FROM", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 0, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_TRANSFLOW_SUMMARY_DATE_TO"))
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_TRANSFLOW_SUMMARY_DATE_TO", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 0, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = 
			function()
			{
				RESET_DATA();
				HTTP_LOAD_EOD();
			}
		}

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSRC_EXCEL.REF_EXPORT('TRANSFLOW_SMRY_DGV');
			};
		}

		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI2"))
		{
			EXPORT_BBI2 = JSOC_ELEMENT.VAR_GET("EXPORT_BBI2");
			EXPORT_BBI2.onclick = function()
			{
				//JSRC_EXCEL.REF_EXPORT('TRANSFLOW_SMRY_DGV');
				JSRC_EXCEL.REF_EXPORT('POS_SHIFT_DGV');
			};
		}	
	}

	function RESET_DATA()
	{
		SKIP = 0;
		JSOC_ELEMENT.VAR_VALUE("SALES_BY_PRODUCT_TOTAL_COUNT", "0");
		JSOC_ELEMENT.VAR_VALUE("SALES_BY_PRODUCT_TOTAL_SALES", "0.00");
		JSOC_ELEMENT.VAR_VALUE("TRANS_FLOW_BEG_CASH", "0.00");
		JSOC_ELEMENT.VAR_VALUE("TRANS_FLOW_ACT_CASH", "0.00");
		JSOC_ELEMENT.VAR_VALUE("TRANS_FLOW_CASH_IN", "0.00");
		JSOC_ELEMENT.VAR_VALUE("TRANS_FLOW_CASH_OUT", "0.00");
		JSOC_ELEMENT.VAR_VALUE("TRANS_FLOW_SHORT_OVER", "0.00");
	}

	

